import 'package:flutter/material.dart';

class WaterMarkWidget extends StatelessWidget {
  final int lineCount;
  final String title;
  final String? packageName;

  const WaterMarkWidget(
      {Key? key,
      this.lineCount = 8,
      this.title = 'Guru Game',
      this.packageName})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.infinity,
      height: double.infinity,
      child: Column(
        children: [
          for (var i = 0; i < lineCount; i++)
            Expanded(
                child: Center(
              child: Transform.rotate(
                  angle: -0.34,
                  child: Column(children: [
                    Text(
                      title,
                      style: const TextStyle(color: Colors.black, fontSize: 20),
                    ),
                    if (packageName != null)
                      Text(
                        packageName!,
                        style:
                            const TextStyle(color: Colors.black, fontSize: 16),
                      ),
                  ])),
            )),
        ],
      ),
    );
  }
}
